Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » SWTBot » Can't add Required plug-ins to MANIFEST.MF(SWTBot on Mac)
Can't add Required plug-ins to MANIFEST.MF [message #1753238] Thu, 02 February 2017 20:45 Go to next message
Martin Paquin is currently offline Martin PaquinFriend
Messages: 21
Registered: July 2014
Junior Member
Hello,

I'm having trouble adding plug-ins to my Manifest.mf file.
When I try to add dependencies in the Dependencies dialog, I can't see org.eclipse.swtbot.swt.finder plug-in. When I check in Eclipse Installation details, I see this plug-in correctly installed.

I am running on MacBook pro with OS X El Capitan.
I run Eclipse Modeling Tools

Version: Mars.2 Release (4.5.2)
Build id: 20160218-0600

How can I add my required plug-ins.

Extract from my configuration:

*features
org.eclipse.swtbot (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.eclipse (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.eclipse.gef (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.eclipse.gef.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.eclipse.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.forms (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.forms.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.generator.feature (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.generator.feature.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.ide (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.ide.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"
org.eclipse.swtbot.source (2.5.0.201609021837) "SWTBot Eclipse UI Plug-in"

---
*** Current Install Configuration:

Bundles in the system:

Id: org.eclipse.swtbot.ant.junit, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.ant.junit_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.e4.finder, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.e4.finder_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.core, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.core_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.finder, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.finder_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.gef.finder, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.gef.finder_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.junit.headless, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.junit.headless_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.spy, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.spy_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.eclipse.ui, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.eclipse.ui_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.forms.finder, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.forms.finder_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.generator, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.generator_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.generator.jdt, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.generator.jdt_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.generator.rules.workbench, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.generator.rules.workbench_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.generator.ui, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.generator.ui_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.go, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.go_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.junit4_x, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.junit4_x_2.5.0.201609021837.jar
Id: org.eclipse.swtbot.swt.finder, Version: 2.5.0.201609021837, Location: reference:file:plugins/org.eclipse.swtbot.swt.finder_2.5.0.201609021837.jar

Martin
Re: Can't add Required plug-ins to MANIFEST.MF [message #1753244 is a reply to message #1753238] Thu, 02 February 2017 21:32 Go to previous messageGo to next message
Patrick Tasse is currently offline Patrick TasseFriend
Messages: 53
Registered: July 2009
Member
Hi Martin,

Just a wild first guess, are you using a target definition? In our project we use the following in our .target file:

<location includeAllPlatforms="false" includeConfigurePhase="false" includeMode="planner" includeSource="true" type="InstallableUnit">
<unit id="org.eclipse.swtbot.eclipse.feature.group" version="0.0.0"/>
<unit id="org.eclipse.swtbot.feature.group" version="0.0.0"/>
<unit id="org.eclipse.swtbot.generator.feature.feature.group" version="0.0.0"/>
<repository location="http://download.eclipse.org/technology/swtbot/snapshots"/>
</location>


Patrick
Re: Can't add Required plug-ins to MANIFEST.MF [message #1753245 is a reply to message #1753244] Thu, 02 February 2017 21:43 Go to previous message
Martin Paquin is currently offline Martin PaquinFriend
Messages: 21
Registered: July 2014
Junior Member
Ok, I found the solution. In my target definition I have added the features for swtbot. Then I realod the target definition who was my default target. After that I can see the required plug-ins. I'm not an expert with Eclipse plug-ins development. "Eclipse Rich Client Platform, second edition" book by Jeff McAffer, Jean-Michel Lemieux ans Chris Aniszczyk publish by Addison-Wesley, help me to found the solution.
Previous Topic:Sometimes SWTBotTable.select sends event.item=Null in SelectionEvent
Next Topic:How to enable checkbox?
Goto Forum:
  


Current Time: Fri Sep 21 16:12:25 GMT 2018

Powered by FUDForum. Page generated in 0.01612 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top